defmodule Lytedev.MixProject do
  use Mix.Project

  @build_path "build"
  @deps_path Path.join(@build_path, "deps")

  def project(), do: [
    app: :lytedev,
    version: "0.1.0",
    elixir: "~> 1.7",
    elixirc_paths: ["src"],
    config_path: "src/config.exs",
    test_paths: ["src/test"],
    start_permanent: true,
    build_path: @build_path,
    deps_path: @deps_path,
    deps: deps(),
    docs: docs(),
  ]

  def application, do: [
    mod: {Lytedev.Application, []},
    extra_applications: [:logger],
  ]

  def deps, do: [
    {:ex_doc, "~> 0.23.0", only: :dev},
    {:jason, "~> 1.0"},
    {:finch, "~> 0.5"},
    {:elli, "~> 3.0"},
  ]

  def docs, do: [
    output: "build/docs",
  ]
end
