use Mix.Config

config :lytedev, Lytedev.HttpServer, port: 3000

config :logger, level: :debug

config :logger, :console,
  metadata: [:file, :function, :line, :mfa, :module, :pid, :request_id],
  format: "$time [$level] $message\n  $metadata\n",
  colors: [enabled: true]

case Mix.env() do
  :dev ->
    :ok

  :test ->
    config :logger, level: :warn

  :prod ->
    config :logger, level: :info
end
